#
# Conditional build:
%bcond_without	static_libs	# don't build static libraries
#
Summary:	libshout - icecast source streaming library
Summary(pl.UTF-8):	Biblioteka źródeł strumieni icecast
Name:		libshout
Version:	2.4.6
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	https://downloads.xiph.org/releases/libshout/%{name}-%{version}.tar.gz
# Source0-md5:	4a66a369a01ce790e578221fa2c8ea60
URL:		https://www.icecast.org/
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake
BuildRequires:	libtool >= 2:2
BuildRequires:	libogg-devel
BuildRequires:	libtheora-devel
BuildRequires:	libvorbis-devel
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRequires:	speex-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libshout is a library for communicating with and sending data to an
icecast server. It handles the socket connection, the timing of the
data, and prevents most bad data from getting to the icecast server.

%description -l pl.UTF-8
libshout to biblioteka do komunikowania się z i wysyłania danych do
serwera icecast. Obsługuje połączenia, czasy danych i zapobiega
dotarciu większości złych danych do serwera icecast.

%package devel
Summary:	Icecast source streaming library development package
Summary(pl.UTF-8):	Pakiet dla programistów używających libshout
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libogg-devel
Requires:	libtheora-devel
Requires:	libvorbis-devel
Requires:	openssl-devel
Requires:	speex-devel

%description devel
The libshout-devel package contains the header files needed for
developing applications that send data to an icecast server. Install
libshout-devel if you want to develop applications using libshout.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe potrzebne do tworzenia aplikacji
wysyłających dane do serwera icecast.

%package static
Summary:	Icecast source streaming static library
Summary(pl.UTF-8):	Statyczna biblioteka libshout
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Icecast source streaming static library.

%description static -l pl.UTF-8
Statyczna biblioteka libshout - źródeł strumieni icecast.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libshout.la
# ckport support is not maintained in PLD
%{__rm} -r $RPM_BUILD_ROOT%{_libdir}/ckport

cp -rf examples/*.c $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_bindir}/shout
%attr(755,root,root) %{_libdir}/libshout.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libshout.so.3
%{_mandir}/man1/shout.1*

%files devel
%defattr(644,root,root,755)
%doc doc/libshout.xml
%attr(755,root,root) %{_libdir}/libshout.so
%{_includedir}/shout
%{_pkgconfigdir}/shout.pc
%{_aclocaldir}/shout.m4
%{_examplesdir}/%{name}-%{version}

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libshout.a
%endif
%changelog
* Fri Apr 22 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libshout.git;a=log;h=master

* Fri Apr 22 2022 Jakub Bogusz <qboosh@pld-linux.org> e68db2a
- updated to 2.4.6

* Fri Sep 24 2021 Jan Rękorajski <baggins@pld-linux.org> a306c63
- rebuild with openssl 3.0.0

* Sun Jan 10 2021 Jakub Bogusz <qboosh@pld-linux.org> bb3a46b
- updated to 2.4.5
- drop .la file

* Mon Oct 12 2020 Jakub Bogusz <qboosh@pld-linux.org> a123013
- updated to 2.4.4

* Thu Jun 27 2019 Jakub Bogusz <qboosh@pld-linux.org> 97a4ebf
- updated to 2.4.3
- removed obsolete openssl patch

* Tue May 28 2019 Jakub Bogusz <qboosh@pld-linux.org> e9ebcf5
- updated to 2.4.2
- updated openssl patch

* Tue Sep 18 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 11fd81e
- rel 4; fix openssl 1.1.1 build

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 7d5bc11
- release 3 (by relup.sh)

* Fri Sep 14 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 4195d69
- release 2 (by relup.sh)

* Sun Nov 22 2015 Jakub Bogusz <qboosh@pld-linux.org> deb74bf
- updated to 2.4.1; missing file is included now

* Thu Nov 19 2015 Jakub Bogusz <qboosh@pld-linux.org> 79253f8
- updated to 2.4.0
- include missing file from git

* Fri Feb 27 2015 Elan Ruusamäe <glen@delfi.ee> e542069
- x32 rebuild
- release 2 (by relup.sh)

* Sun May 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 0251968
- updated to 2.3.1

* Fri Feb 03 2012 Jakub Bogusz <qboosh@pld-linux.org> f4a8817
- updated to 2.3.0
- ghost soname symlink

* Tue Aug 28 2007 witekfl <witekfl@pld-linux.org> a9cad68
- added bcond_without static_libs

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 50f56f6
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e1fabe8
- converted to UTF-8

* Sat Jul 01 2006 Jakub Bogusz <qboosh@pld-linux.org> 81e9d43
- updated to 2.2.2, removed obsolete include patch

* Sat Jul 01 2006 Jakub Bogusz <qboosh@pld-linux.org> b71b672
- obsolete

* Sat May 13 2006 Jakub Bogusz <qboosh@pld-linux.org> 4db0e37
- updated to 2.2.1, added include patch

